# PDevicePluginServiceDescriptor Class Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginServiceDescriptor:

List of all members.

## Public Member Functions

virtual PObject * | CreateInstance (int userData) const =0
virtual PStringArray | GetDeviceNames (int userData) const =0
virtual bool | ValidateDeviceName (const PString &deviceName, int userData) const
virtual bool | GetDeviceCapabilities (const PString &deviceName, void *capabilities) const

## Static Public Attributes

static const char | SeparatorChar

## Member Function Documentation

virtual PObject* PDevicePluginServiceDescriptor::CreateInstance | ( | int | userData | ) | const`[pure virtual]`

Implemented in PSoundChannelPluginServiceDescriptor< className >, PVideoInputPluginServiceDescriptor< className >, PVideoOutputPluginServiceDescriptor< className >, LDAPPluginServiceDescriptor< className >, and PNatMethodServiceDescriptor< className >.

virtual bool PDevicePluginServiceDescriptor::GetDeviceCapabilities | ( | const PString & | deviceName,
|  | void * | capabilities |
| ) |  |  | const`[virtual]`

Reimplemented in PVideoInputPluginServiceDescriptor< className >.

virtual PStringArray PDevicePluginServiceDescriptor::GetDeviceNames | ( | int | userData | ) | const`[pure virtual]`

Implemented in PSoundChannelPluginServiceDescriptor< className >, PVideoInputPluginServiceDescriptor< className >, PVideoOutputPluginServiceDescriptor< className >, LDAPPluginServiceDescriptor< className >, and PNatMethodServiceDescriptor< className >.

virtual bool PDevicePluginServiceDescriptor::ValidateDeviceName | ( | const PString & | deviceName,
|  | int | userData |
| ) |  |  | const`[virtual]`

Reimplemented in PNatMethodServiceDescriptor< className >.

## Member Data Documentation

const char PDevicePluginServiceDescriptor::SeparatorChar `[static]`

The documentation for this class was generated from the following file:

- plugin.h